Name:           griv
Version:        0.1.9
Release:        8%{?dist}
Summary:        A GTK-Chat based on the RIV-Chat-protocol

Group:          Applications/Internet
License:        GPLv3
URL:            http://sourceforge.net/projects/griv
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-cflags.patch
Patch1:         %{name}-warnings.patch
Patch2:         %{name}-desktop.patch
Source1:        %{name}.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libXScrnSaver-devel
%ifnarch s390 s390x
BuildRequires:  xorg-x11-server-devel
%endif
BuildRequires:  desktop-file-utils


%description
griv is a GTK-Chat based on the RIV-Chat-protocol for serverless network-chats 
and uses the port 16127 for standard. This version comes with autoaway 
and the configuration file is located at 
~/.config/griv.conf


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed \
    -e 's|LDADD = @GTK_LIBS@ -lgthread-2.0 $(autoaway_ld)|LDADD = @GTK_LIBS@ -lgthread-2.0 $(autoaway_ld) -lX11|g' \
    -i src/Makefile.in


%build
%configure 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install --vendor="fedora" --delete-original \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop 

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
    install -p -m 0644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1 

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS Changelog
%{_bindir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man1/%{name}.1.*

%changelog
* Thu Apr 29 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.9-8
- Fix DSO 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Karsten Hopp <karsten@redhat.com> 0.1.9-6
- remove buildrequirement xorg-x11-server-devel for s390x

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 29 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.9-4
- Add warningpatch, patched by Mamoru Tasaka
- Create and add patch2 

* Tue Jul 29 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.9-3
- Edit Specfile bug #454166 C7 C8 C11
- Add cflagpatch, patched by Mamoru Tasaka
- Delete perl in BuildRequires
- Add sed command to delete file-extension in .desktop-file
- Clear up specfile

* Tue Jul 08 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.9-2
- Remove duplicate BuildRequires: libX11-devel (by gtk2-devel)
- Remove duplicate BuildRequires: xorg-x11-proto-devel (by libX11-devel)
- Add compiler flags
- Add installer for .desktop file
- Add icon-install
- Add script to update gtk-icon-cache
- Create and add manpage

* Sat Jul 05 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.9-1
- Initial Release
